%define	name	gtk-sharp
%define version 1.0.8
%define release 2mdk
%define mono 1.0.2

# Not using a major is ok for mklibname?
%define glib_libname %mklibname glibsharpglue
%define glib_libnamedev %mklibname glibsharpglue -d

%define gtk_libname %mklibname gtksharpglue
%define gtk_libnamedev %mklibname gtksharpglue -d

%define glade_libname %mklibname gladesharpglue
%define glade_libnamedev %mklibname gladesharpglue -d

%define gnome_libname %mklibname gnomesharpglue
%define gnome_libnamedev %mklibname gnomesharpglue -d


Summary:	C# language binding for the gtk+ toolkit
Name:		%name
Version:	%version
Release:	%release
License:	LGPL
Group:		System/Libraries
URL:		http://gtk-sharp.sourceforge.net/
#Source0:	http://www.go-mono.com/archive/%version/%name-%version.tar.bz2
Source0: http://prdownloads.sourceforge.net/gtk-sharp/%name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-buildroot
BuildRequires:	mono-devel >= %mono
BuildRequires:	libglade2.0-devel
BuildRequires:	libxslt-devel
BuildRequires:  gnome-db2.0-devel
BuildRequires:	libgnomeui2-devel
BuildRequires:	libGConf2-devel
BuildRequires:	librsvg-devel
BuildRequires:	libgtkhtml-3.6-devel
BuildRequires:	vte-devel
BuildRequires:	monodoc
Requires:	glib-sharp
Requires:	%gtk_libname = %version
Provides:	gtk#

%description
Gtk-sharp is a C# language binding for the  gtk+ toolkit.

%package -n glib-sharp
Summary:        C# binding for glib
Group:          System/Libraries
Requires:       mono >= %mono
Requires:	%glib_libname = %version
Conflicts:	gtk-sharp <  0.93-4mdk

%description -n glib-sharp
Glib-sharp is a C# language binding for glib.

%package -n glade-sharp
Summary:        C# binding for glade
Group:          System/Libraries
Requires:	gtk-sharp
Requires:	%glade_libname = %version

%description -n glade-sharp
Glade-sharp is a C# language binding for glade.

%package -n gnome-sharp
Summary:        C# binding for gnome
Group:          System/Libraries
Requires:	gtk-sharp
Requires:	%gnome_libname = %version
#gw we need the right major versions
Requires:       %mklibname gtkhtml-3.6_ 18
Requires:       %mklibname vte 4

%description -n gnome-sharp
Gnome-sharp is a C# language binding for gnome.

%package doc
Summary:	Documentation for gtk-sharp
Group:		Development/Other

%description doc
Gtk-sharp is a C# language binding for the  gtk+ toolkit.
This package provides documentation for gtk-sharp. 

%package -n %glib_libname
Summary:	A glue library for Glib C# language bindings
Group:		System/Libraries

%description -n %glib_libname
A glue library for Glib C# language bindings
This is a native 'glue' library required by glib-sharp and friends.

%package -n %glib_libnamedev
Summary:	Development libraries for Glib C# language bindings
Group:		Development/Other
Requires:	glib-sharp = %{version}
Provides:	glib-sharp-devel = %{version}
Requires:	mono-devel
Requires:	glib2-devel

%description -n %glib_libnamedev
Development libraries for Glib C# language bindings.
These are for a native 'glue' library required by glib-sharp and friends.

%package -n %gtk_libname
Summary:	A glue library for Gtk+ C# language bindings
Group:		System/Libraries

%description -n %gtk_libname
A glue library for Gtk+ C# language bindings
This is a native 'glue' library required by gtk-sharp and friends.

%package -n %gtk_libnamedev
Summary:	Development libraries for Gtk+ C# language bindings
Group:		Development/Other
Requires:	%{name} = %{version}
Requires:	glib-sharp-devel = %{version}
Provides:	gtk-sharp-devel = %{version}
Requires:	gtk2-devel

%description -n %gtk_libnamedev
Development libraries for Gtk+ C# language bindings.
These are for a native 'glue' library required by gtk-sharp and friends.

%package -n %glade_libname
Summary:	A glue library for Glade C# language bindings
Group:		System/Libraries

%description -n %glade_libname
A glue library for Glade C# language bindings
This is a native 'glue' library required by glade-sharp and friends.

%package -n %glade_libnamedev
Summary:	Development libraries for Glade C# language bindings
Group:		Development/Other
Requires:	glade-sharp = %{version}
Requires:	gtk-sharp-devel = %{version}
Provides:	glade-sharp-devel = %{version}
Requires:	libglade2.0-devel

%description -n %glade_libnamedev
Development libraries for Glade C# language bindings.
These are for a native 'glue' library required by glade-sharp and friends.

%package -n %gnome_libname
Summary:	A glue library for Gnome C# language bindings
Group:		System/Libraries

%description -n %gnome_libname
A glue library for Gnome C# language bindings
This is a native 'glue' library required by gnome-sharp and friends.

%package -n %gnome_libnamedev
Summary:	Development libraries for Gnome C# language bindings
Group:		Development/Other
Requires:	gtk-sharp-devel = %{version}
Requires:	gnome-sharp = %{version}
Provides:	gnome-sharp-devel = %{version}
Requires:	libxslt-devel
Requires:	gnome-db2.0-devel
Requires:	libgnomeui2-devel
Requires:	libGConf2-devel
Requires:	librsvg-devel

%description -n %gnome_libnamedev
Development libraries for Gnome C# language bindings.
These are for a native 'glue' library required by gnome-sharp and friends.


%prep
rm -rf %buildroot

%setup -q

%build
%configure2_5x
make

%install
rm -rf %buildroot
%makeinstall
#gw fix broken gac installation
(
cd %buildroot%_libdir/mono/
for dll in gac/*/*/*.dll; do ln -sf ../$dll %name;done
)

%post -n %glib_libname -p /sbin/ldconfig
%post -n %gtk_libname -p /sbin/ldconfig
%post -n %glade_libname -p /sbin/ldconfig
%post -n %gnome_libname -p /sbin/ldconfig

%postun -n %glib_libname -p /sbin/ldconfig
%postun -n %gtk_libname -p /sbin/ldconfig
%postun -n %glade_libname -p /sbin/ldconfig
%postun -n %gnome_libname -p /sbin/ldconfig


%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%_libdir/mono/gac/art-sharp
%_libdir/mono/gac/atk-sharp
%_libdir/mono/gac/gdk-sharp
%_libdir/mono/gac/gtk-sharp
%_libdir/mono/gac/pango-sharp
%_libdir/mono/gtk-sharp/art-sharp.dll
%_libdir/mono/gtk-sharp/atk-sharp.dll
%_libdir/mono/gtk-sharp/gdk-sharp.dll
%_libdir/mono/gtk-sharp/gtk-sharp.dll
%_libdir/mono/gtk-sharp/pango-sharp.dll

%files -n glib-sharp
%defattr(-,root,root)
%_bindir/*
%_libdir/mono/gac/glib-sharp
%dir %_libdir/mono/gtk-sharp
%_libdir/mono/gtk-sharp/glib-sharp.dll
%dir %_datadir/gapi
%_datadir/gapi/*

%files -n glade-sharp
%defattr(-,root,root)
%_libdir/mono/gac/glade-sharp
%_libdir/mono/gtk-sharp/glade-sharp.dll

%files -n gnome-sharp
%defattr(-,root,root)
%_libdir/mono/gac/gconf-sharp
%_libdir/mono/gac/gconf-sharp-peditors
%_libdir/mono/gac/gda-sharp
%_libdir/mono/gac/gnomedb-sharp
%_libdir/mono/gac/gnome-sharp
%_libdir/mono/gac/gtkhtml-sharp
%_libdir/mono/gac/rsvg-sharp
%_libdir/mono/gac/vte-sharp
%_libdir/mono/gtk-sharp/gconf-sharp.dll
%_libdir/mono/gtk-sharp/gconf-sharp-peditors.dll
%_libdir/mono/gtk-sharp/gda-sharp.dll
%_libdir/mono/gtk-sharp/gnomedb-sharp.dll
%_libdir/mono/gtk-sharp/gnome-sharp.dll
%_libdir/mono/gtk-sharp/gtkhtml-sharp.dll
%_libdir/mono/gtk-sharp/rsvg-sharp.dll
%_libdir/mono/gtk-sharp/vte-sharp.dll

%files doc
%defattr(-,root,root)
%doc ChangeLog README README.generator
#*[^makefile|README]
%doc sample

%files -n %glib_libname
%defattr(-,root,root)
%_libdir/libglibsharpglue.so

%files -n %glib_libnamedev
%defattr(-,root,root)
%_libdir/libglibsharpglue.*a
%_libdir/pkgconfig/gapi.pc

%files -n %gtk_libname
%defattr(-,root,root)
%_libdir/libgdksharpglue.so
%_libdir/libgtksharpglue.so
%_libdir/libpangosharpglue.so

%files -n %gtk_libnamedev
%defattr(-,root,root)
%_libdir/libgdksharpglue.*a
%_libdir/libgtksharpglue.*a
%_libdir/libpangosharpglue.*a
%_libdir/pkgconfig/art-sharp.pc
%_libdir/pkgconfig/gtk-sharp.pc

%files -n %glade_libname
%defattr(-,root,root)
%_libdir/libgladesharpglue.so

%files -n %glade_libnamedev
%defattr(-,root,root)
%_libdir/libgladesharpglue.*a
%_libdir/pkgconfig/glade-sharp.pc

%files -n %gnome_libname
%defattr(-,root,root)
%_libdir/libgnomesharpglue.so

%files -n %gnome_libnamedev
%defattr(-,root,root)
%_libdir/libgnomesharpglue.*a
%_libdir/pkgconfig/gconf-sharp.pc
%_libdir/pkgconfig/gda-sharp.pc
%_libdir/pkgconfig/gnome-sharp.pc
%_libdir/pkgconfig/gnomedb-sharp.pc
%_libdir/pkgconfig/gtkhtml-sharp.pc
%_libdir/pkgconfig/rsvg-sharp.pc
%_libdir/pkgconfig/vte-sharp.pc


%changelog
* Wed Apr  6 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.8-2mdk
- bump gtkhtml deps

* Tue Mar 29 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.8-1mdk
- New release 1.0.8

* Sat Feb 19 2005 Götz Waschk <waschk@linux-mandrake.com> 1.0.6-1mdk
- New release 1.0.6

* Fri Nov  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- fix URL
- New release 1.0.4

* Tue Sep 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- drop patch, back to gtkhtml-3.0
- New release 1.0.2

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-4mdk
- rebuild for new rpm

* Sun Jul 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-3mdk
- Add conflicts to ease upgrade from 10.0

* Tue Jul  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-2mdk
- update gtkhtml patch and deps

* Thu Jul  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0-1mdk
- remove docs
- fix source URL
- new version

* Mon Jun 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.98-2mdk
- fix doc package group

* Wed Jun 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.98-1mdk
- add libpangosharpglue to libgtksharpglue package
- add installed xml docs
- fix installation
- requires new mono
- fix groups
- new version

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-6mdk
- fix devel deps again (no need for vte and gtkhtml, they are only dlopened)
- update patch to really use new gtkhtml

* Sat Jun  5 2004 Marcel Pol <mpol@mandrake.org> 0.93-5mdk
- manually add requires for devel packages
- build against new gtkhtml

* Fri Jun  4 2004 Marcel Pol <mpol@mandrake.org> 0.93-4mdk
- split package
- place gapi files in glib-sharp

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-3mdk
- add vte deps (thanks Quel Qun)
- use libgtkhtml-3.1_9

* Thu Jun  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-2mdk
- fix deps

* Wed Jun  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.93-1mdk
- drop perl files
- requires new mono
- new version

* Wed May  5 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.91.1-1mdk
- fix file list
- requires new mono
- buildrequires monodoc
- add source URL
- new version

* Fri Apr  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.18-2mdk
- rebuild for new croco

* Sat Apr  3 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.18-1mdk
- fix doc file listing
- new version

* Fri Mar 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.17-2mdk
- Rebuild against latest gtkhtml/gal

* Mon Mar  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.17-1mdk
- fix some rpmlint warnings
- fix buildrequires
- new version

* Sun Feb 08 2004 Marcel Pol <mpol@mandrake.org> 0.16-1mdk
- 0.16
- don't run libtoolize
- add more devel dependencies

* Sun Feb 01 2004 Marcel Pol <mpol@mandrake.org> 0.15-2mdk
- devel package requires gtk2-devel

* Sun Jan 11 2004 Marcel Pol <mpol@mandrake.org> 0.15-1mdk
- 0.15

* Sun Dec 28 2003 Marcel Pol <mpol@mandrake.org> 0.14-2mdk
- build gtkhtml-sharp.dll

* Sat Dec 27 2003 Marcel Pol <mpol@mandrake.org> 0.14-1mdk
- from Quel Qun <kelk1@hotmail.com>
    - 0.14

* Sun Sep 07 2003 Marcel Pol <mpol@gmx.net> 0.11-0.20030831.3mdk
- use saner provides for devel package

* Fri Sep 05 2003 Marcel Pol <mpol@gmx.net> 0.11-0.20030831.2mdk
- add provides

* Thu Sep 04 2003 Marcel Pol <mpol@gmx.net> 0.11-0.20030831.1mdk
- cvs 20030831 for monodoc
- buildrequires

* Tue Aug 19 2003 Marcel Pol <mpol@gmx.net> 0.10-2mdk
- rebuild

* Sun Jun 15 2003 Marcel Pol <mpol@gmx.net> 0.10-1mdk
- 0.10

* Sat Jun 07 2003 Marcel Pol <mpol@gmx.net> 0.9-1mdk
- 0.9

* Thu Apr 17 2003 Marcel Pol <mpol@gmx.net> 0.8-4mdk
- libgtksharpglue subpackages
- used buildrequires from Andi Payn

* Tue Mar 18 2003 Quel Qun <kelk1@hotmail.com> 0.8-3mdk
- Rebuild with gda & gnomedb v 0.11.0.
* Mon Mar 10 2003 Quel Qun <kelk1@hotmail.com> 0.8-2mdk
- Rebuilt with mcs-0.23-1mdk.
- BuildRequires gtksourceview-devel automake.
* Thu Mar 06 2003 Quel Qun <kelk1@hotmail.com> 0.8-1mdk
- New version.
* Sun Dec 15 2002 Quel Qun <kelk1@hotmail.com> 0.6-3mdk
- Extracts the gnometutorial and sample directories.
* Sat Dec 14 2002 Quel Qun <kelk1@hotmail.com> 0.6-2mdk
- Add Buildrequires on recent libgda2 and libgnomedb2.
- Patched Makefiles to fix the install section.
* Thu Dec 12 2002 Quel Qun <kelk1@hotmail.com> 0.6-1mdk
- First Mandrake rpm.
